:root {
    --bg: #1e1e1e;
    --fg: #e6e6e6;
    --hl: #5e8e97;
    --bd: #444;
}

@media (prefers-color-scheme: light) {
    :root {
        --bg: #f0f0f0;
        --fg: #1a1a1a;
        --hl: #5e8e97;
        --bd: #ccc;
    }
}

body {
    background-color: var(--bg);
    color: var(--fg);

    max-width: 40em;
    margin: 2em auto;

    font-family: "EB Garamond", serif;
    font-weight: 400;
    font-size: 1.2em;
    line-height: 1.6;
}

header {
    margin-top: 1em;
    margin-bottom: 6em;
}

header p,
header h1 {
    margin: 0;
    font-weight: 400;
}

header time {
    font-size: 90%;
}

header .published {
    font-variant: small-caps;
}

header .tags {
    margin-left: 2em;
}

header,
main {
    padding: 0 1em;
    box-sizing: border-box;
}

a {
    color: var(--hl);
}

a:hover {
    text-decoration: none;
}

main * {
    max-width: 32em;
    padding: 0;
    margin: 0;
}

main * + * {
    margin-top: 1em;
}

main figure,
main pre,
main .table-container {
    max-width: none;
}

main h1,
main h2,
main h3,
main h4,
main h5,
main h6 {
    font-weight: 400;
    margin-top: 1em;
    margin-bottom: 0.5em;
}

main .post-list-header {
    margin-bottom: 0;
}

em {
    font-style: italic;
}

strong {
    font-weight: 700;
}

ul,
ol {
    margin-left: 1em;
}

ul ul,
ul ol,
ol ul,
ol ol {
    padding-left: 1.5em;
}

ul li,
ol li {
    margin-top: 0;
}

ul.post-list {
    margin-left: 0;
}

ul.post-list li {
    display: block;
}

pre {
    overflow-x: auto;
    font-size: 80%;
    line-height: 1.4;
    background-color: var(--bg) !important;
    border: 1px solid var(--bd);
    border-radius: 5px;
    padding: 10px;
}

code {
    font-family: monospace;
}

.table-container {
    overflow-x: auto;
    border: 1px solid var(--bd);
    border-radius: 5px;
}

table {
    border-collapse: collapse;
    width: 100%;
    border-style: hidden;
    max-width: none;
}

th,
td {
    border: 1px solid var(--bd);
    padding: 0.25em;
}

figure figcaption {
    margin-top: 0;
    font-style: italic;
    text-align: center;
}

figure img {
    max-width: 100%;
    border-radius: 5px;
}

blockquote {
    padding-left: 3em;
    font-size: 1.1rem;
}

footer {
    margin-top: 5em;
    font-size: 80%;
}

footer p {
    display: inline;
}
